using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Syncfusion.Windows.Forms.Grid;

namespace DateTimePickerCellBug
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load_1(object sender, EventArgs e)
        {

            DataTable dt = new DataTable("DemoTable");
            dt.Columns.Add(new DataColumn("Column 0", typeof(DateTime)));

            dt.Rows.Add();
            dt.Rows.Add();
            dt.Rows.Add();
            dt.Rows.Add();
            dt.Rows.Add();

            gridDataBoundGrid1.DataSource = dt;
            gridDataBoundGrid1.EnableAddNew = false;

            
            // Override MonthCalendar CellType
            gridDataBoundGrid1.Model.CellModels.Remove("MonthCalendar");
            gridDataBoundGrid1.Model.CellModels.Add("MonthCalendar", new DateTimeCellModel(gridDataBoundGrid1.Model));
            
            GridBoundColumn col = gridDataBoundGrid1.Binder.InternalColumns[0];
            col.StyleInfo.CellType = "MonthCalendar";
            col.StyleInfo.CellValueType = typeof(DateTime);

        }
    }
}